Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.aspects.versioned
Class DistributedPOJOState

    java.lang.Object
      org.jboss.aspects.versioned.StateManager
          org.jboss.aspects.versioned.DistributedPOJOState

All Implemented Interfaces:
  DistributedState, Externalizable, Serializable

public class DistributedPOJOState
extends StateManager
implements DistributedState, Externalizable

Version:
  $Revision: 1.2 $
Author:
  Bill Burke
See Also:
  Serialized Form

Field Summary
`protected org.jboss.aop.Advised` | `advised`
`protected String` | `classname`
`protected HashMap` | `fieldMap`
`protected SynchronizationManager` | `synchManager`
`protected TransactionManager` | `tm`
`protected org.jboss.tm.TransactionLocal` | `txState`
`protected DistributedVersionManager` | `versionManager`

Fields inherited from class org.jboss.aspects.versioned.StateManager
`guid, lock, STATE_MANAGER, timeout`

Constructor Summary
`DistributedPOJOState()`
`DistributedPOJOState(org.jboss.util.id.GUID daguid, long datimeout, org.jboss.aop.Advised advised, DistributedVersionManager versionManager, SynchronizationManager synchManager)`

Method Summary
`org.jboss.aop.InstanceAdvised` | `buildObject(SynchronizationManager manager, DistributedVersionManager versionManager)`
`void` | `checkOptimisticLock(Transaction tx)`
`DistributedUpdate` | `createTxUpdate(Transaction tx)`
`boolean` | `equals(Object obj)`
`Object` | `fieldRead(org.jboss.aop.joinpoint.Invocation invocation)`
`Object` | `fieldWrite(org.jboss.aop.joinpoint.Invocation invocation)`
`org.jboss.aop.InstanceAdvised` | `getObject()`
`HashMap` | `getTxState()`
`HashMap` | `getTxState(Transaction tx)`
`int` | `hashCode()`
`void` | `mergeState(DistributedUpdate update)`
`void` | `mergeState(HashMap newState)`
`void` | `mergeState(Transaction tx)`
`void` | `readExternal(ObjectInput in)`
`void` | `writeExternal(ObjectOutput out)`

Methods inherited from class org.jboss.aspects.versioned.StateManager
`acquireReadLock, acquireWriteLock, getGUID, getLock, getStateManager, releaseReadLock, releaseWriteLock, setStateManager`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.jboss.aspects.versioned.DistributedState
`acquireReadLock, acquireWriteLock, getGUID, releaseReadLock, releaseWriteLock`

Field Detail

### classname

    protected String classname

### fieldMap

    protected HashMap fieldMap

### tm

    protected transient TransactionManager tm

### advised

    protected transient org.jboss.aop.Advised advised

### txState

    protected transient org.jboss.tm.TransactionLocal txState

### synchManager

    protected transient SynchronizationManager synchManager

### versionManager

    protected transient DistributedVersionManager versionManager

Constructor Detail

### DistributedPOJOState

    public DistributedPOJOState()

### DistributedPOJOState

    public DistributedPOJOState(org.jboss.util.id.GUID daguid,
                                long datimeout,
                                org.jboss.aop.Advised advised,
                                DistributedVersionManager versionManager,
                                SynchronizationManager synchManager)
                         throws Exception

Method Detail

### getObject

    public org.jboss.aop.InstanceAdvised getObject()

  Specified by:
    `getObject` in interface `DistributedState`

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### buildObject

    public org.jboss.aop.InstanceAdvised buildObject(SynchronizationManager manager,
                                                     DistributedVersionManager versionManager)
                                              throws Exception

  Specified by:
    `buildObject` in interface `DistributedState`
  Throws:
    `Exception`

### getTxState

    public HashMap getTxState()

### getTxState

    public HashMap getTxState(Transaction tx)

### fieldRead

    public Object fieldRead(org.jboss.aop.joinpoint.Invocation invocation)
                     throws Throwable

  Throws:
    `Throwable`

### fieldWrite

    public Object fieldWrite(org.jboss.aop.joinpoint.Invocation invocation)
                      throws Throwable

  Throws:
    `Throwable`

### createTxUpdate

    public DistributedUpdate createTxUpdate(Transaction tx)

  Specified by:
    `createTxUpdate` in interface `DistributedState`

### checkOptimisticLock

    public void checkOptimisticLock(Transaction tx)

  Specified by:
    `checkOptimisticLock` in interface `DistributedState`

### mergeState

    public void mergeState(Transaction tx)
                    throws Exception

  Specified by:
    `mergeState` in interface `DistributedState`
  Throws:
    `Exception`

### mergeState

    public void mergeState(DistributedUpdate update)
                    throws Exception

  Specified by:
    `mergeState` in interface `DistributedState`
  Throws:
    `Exception`

### mergeState

    public void mergeState(HashMap newState)
                    throws Exception

  Throws:
    `Exception`

### writeExternal

    public void writeExternal(ObjectOutput out)
                       throws IOException

  Specified by:
    `writeExternal` in interface `Externalizable`
  Overrides:
    `writeExternal` in class `StateManager`
  Throws:
    `IOException`

### readExternal

    public void readExternal(ObjectInput in)
                      throws IOException,
                             ClassNotFoundException

  Specified by:
    `readExternal` in interface `Externalizable`
  Overrides:
    `readExternal` in class `StateManager`
  Throws:
    `IOException`
    `ClassNotFoundException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 JBoss Group, LLC. All Rights Reserved.